package com.rjconsultores.ventaboletos.web.utilerias.render;

import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.ConfRestricaoRutas;

public class RenderConfRestRuta implements ListitemRenderer {

	public void render(Listitem lstm, Object o) throws Exception {
		ConfRestricaoRutas confOrgao = (ConfRestricaoRutas) o;

		Listcell lc = new Listcell(confOrgao.getRuta() == null ?" - " :  confOrgao.getRuta().toString());
		lc.setParent(lstm);

		lstm.setAttribute("data", confOrgao);
	}
}
